# 🚀 Custa — кастомный генератор HTML-сайтов

**Custa** — это генератор HTML-страниц с использованием собственного языка разметки **CST** (Custa Structured Text).  
📄 Пиши читаемые, модульные `.cst`-файлы и собирай из них HTML-сайты с поддержкой тем, навигации и встроенного сервера.

> 🔧 Идеально для быстрых прототипов, лендингов, документации или персональных сайтов — без фреймворков и сложностей.

---

## 📦 Установка

Установи Custa через pip:

```bash
pip install custa
```

---

## 🚀 Быстрый старт

Создай первую страницу и собери HTML:

```bash
custa init
custa build
custa serve
```

---

### 📘 Команды CLI

| Команда         | Описание                                                                 |
|-----------------|--------------------------------------------------------------------------|
| `custa init`    | Создаёт минимальный шаблон проекта с примером `.cst`-страницы.           |
| `custa build`   | Компилирует `.cst`-файлы из `content/` в HTML и сохраняет их в `output/`.|
| `custa serve`   | Запускает локальный сервер для просмотра сгенерированных страниц.        |

---

## 📁 Структура проекта

```
project-root/
├── content/           # Исходные .cst-файлы
├── output/            # Сгенерированные HTML-страницы
├── themes/            # Темы: layout + стили
├── custa.config.yaml  # Конфигурация сайта
```

---

## 🙋‍♂️ Автор

Built with ❤️ by **ProPandaMen**
